Skip to main content
GET
/
api
/
Event
Get Events
curl --request GET \
  --url https://api.virtuoussoftware.com/api/Event \
  --header 'Authorization: Bearer <token>'
{
  "list": [
    {
      "id": "<integer>",
      "eventViewUrl": "<string>",
      "name": "<string>",
      "eventType": "<string>",
      "locationName": "<string>",
      "displayAddress": "<string>",
      "geocodeAddress": "<string>",
      "startDateTime": "<string>",
      "endDateTime": "<string>",
      "timeZone": "<string>",
      "description": "<string>",
      "specialInstructions": "<string>",
      "inviteOnly": "<boolean>",
      "rsvpRequired": "<boolean>",
      "totalInvites": "<integer>",
      "totalRsvps": "<integer>",
      "totalAttended": "<integer>",
      "totalGifts": "<integer>",
      "totalGiving": "<string>",
      "communicationId": "<integer>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "eventContactsUrl": "<string>",
      "generosityEventContacts": [
        {
          "id": "<integer>",
          "eventContactUrl": "<string>",
          "contactId": "<integer>",
          "contactUrl": "<string>",
          "displayName": "<string>",
          "firstName": "<string>",
          "avatarUrl": "<string>",
          "primaryPhone": "<string>",
          "primaryEmail": "<string>"
        },
        {
          "id": "<integer>",
          "eventContactUrl": "<string>",
          "contactId": "<integer>",
          "contactUrl": "<string>",
          "displayName": "<string>",
          "firstName": "<string>",
          "avatarUrl": "<string>",
          "primaryPhone": "<string>",
          "primaryEmail": "<string>"
        }
      ],
      "tables": [
        "<string>",
        "<string>"
      ],
      "meals": [
        "<string>",
        "<string>"
      ],
      "eventInvitationsUrl": "<string>",
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ]
    },
    {
      "id": "<integer>",
      "eventViewUrl": "<string>",
      "name": "<string>",
      "eventType": "<string>",
      "locationName": "<string>",
      "displayAddress": "<string>",
      "geocodeAddress": "<string>",
      "startDateTime": "<string>",
      "endDateTime": "<string>",
      "timeZone": "<string>",
      "description": "<string>",
      "specialInstructions": "<string>",
      "inviteOnly": "<boolean>",
      "rsvpRequired": "<boolean>",
      "totalInvites": "<integer>",
      "totalRsvps": "<integer>",
      "totalAttended": "<integer>",
      "totalGifts": "<integer>",
      "totalGiving": "<string>",
      "communicationId": "<integer>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "eventContactsUrl": "<string>",
      "generosityEventContacts": [
        {
          "id": "<integer>",
          "eventContactUrl": "<string>",
          "contactId": "<integer>",
          "contactUrl": "<string>",
          "displayName": "<string>",
          "firstName": "<string>",
          "avatarUrl": "<string>",
          "primaryPhone": "<string>",
          "primaryEmail": "<string>"
        },
        {
          "id": "<integer>",
          "eventContactUrl": "<string>",
          "contactId": "<integer>",
          "contactUrl": "<string>",
          "displayName": "<string>",
          "firstName": "<string>",
          "avatarUrl": "<string>",
          "primaryPhone": "<string>",
          "primaryEmail": "<string>"
        }
      ],
      "tables": [
        "<string>",
        "<string>"
      ],
      "meals": [
        "<string>",
        "<string>"
      ],
      "eventInvitationsUrl": "<string>",
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ]
    }
  ],
  "total": "<integer>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

skip
string

The number of records to skip. Default = 0.

take
string

The number of records to take. Default = 10.

Response

200 - application/json

OK

list
object[]
total
string
Last modified on June 5, 2026